Name: libsmbios
Version: 2.0.1
Release: alt1
Summary: Open BIOS parsing libs
License: GPL/OSL Dual License
Group: System/Libraries
URL: http://linux.dell.com/libsmbios/main

Source: http://linux.dell.com/libsmbios/download/%name/%name-%version/%name-%version.tar.gz

# Automatically added by buildreq on Tue Mar 06 2007
BuildRequires: cppunit-devel doxygen gcc-c++ libxml2-devel

%description
Libsmbios is a library and utilities that can be used by client programs 
to get information from standard BIOS tables, such as the SMBIOS table.

%package tools
Summary: The "supported" sample binaries that use libsmbios
Group: System/Configuration/Hardware
Requires: %name = %version-%release
Provides: %name-tools-unsupported = %version-%release
Obsoletes: %name-tools-unsupported <= %version

%description tools
This package contains some sample binaries that use libsmbios.

%package devel
Summary: Development headers and archives
Group: Development/C++
Requires: %name = %version-%release

%description devel
This package contains the devel files necessary to compile new 
client programs against libsmbios

%prep
%setup -q

%build
%autoreconf
%configure \
    --disable-static
%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_includedir
cp -a include/smbios %buildroot%_includedir

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc COPYING-GPL COPYING-OSL
%_libdir/*.so.*

%files devel
%doc doc/full/html/*
%_includedir/smbios
%_libdir/*.so

%files tools
%doc bin-unsupported/getopts_LICENSE.txt
%_sbindir/*

%changelog
* Thu Apr 01 2008 Valery Inozemtsev <shrek@altlinux.ru> 2.0.1-alt1
- 2.0.1

* Thu Nov 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.13.10-alt0.M40.1
- build for branch 4.0

* Wed Oct 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.13.10-alt1
- 0.13.10

* Sat Mar 24 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.13.4-alt1
- 0.13.4

* Tue Mar 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.13.2-alt1
- initial build
 
